*{box-sizing: border-box;
margin: 0;}

.linea {
    border: solid 1px black;
    width: 80%;
    margin: auto;
}

.encabezado{
    overflow: hidden;
}

#redondo {
    border-radius: 350px;
    width: 25%;
    float: left;
    margin-top: 10px;
    margin-left: 250px;
}

.cruz{
    float: right;
    font-size: 40px;
    font-weight: bolder;
    margin-top: 10px;
    margin-right: 30px;
    cursor: pointer;
}

.formulario{padding: 10px;}

.formulario input{
    width: 100%;
    padding: 10px;
}

.formulario label{
    font-weight: bold;
    font-size: 20px;
}

.formulario input[type=submit]{
    color: white;
    background-color: green;
    border: 2px outset grey;
    font-size: 20px;
}

input[type=checkbox]{
    width: auto;
    margin-top: 20px;
    padding: none;
}

.pie{	
    width: 100%;
	overflow: hidden;
	background-color: lightgray;
	padding: 10px 20px;
}

.pie input[type=submit]{
    background-color: red;
    color: white;
    padding: 10px;
    float: left;
    margin-left: 250px;
}

.pie p{float: right;
margin-top: 10px;}

input[type=text], input[type=password]:focus{
    outline: none;
}

:is(input[type=text], input[type=password]):valid{
    border: 2px solid green;
}

:is(input[type=text], input[type=password]):invalid{
    border: 2px solid red;
}